OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableNetwork

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableElement
          org.opennms.netmgt.poller.pollables.PollableContainer
              org.opennms.netmgt.poller.pollables.PollableNetwork

public class PollableNetwork
extends PollableContainer

Represents a PollableNetwork

Author:
  brozow

Nested Class Summary
`(package private) class` `PollableNetwork.DumpVisitor`

Nested classes inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
`PollableContainer.Iter, PollableContainer.SimpleIter`

Field Summary
`private PollContext` `m_context`

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
``

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableElement
``

Constructor Summary
`PollableNetwork(PollContext context)`

Method Summary
`Event` `createDownEvent(java.util.Date date)`
`PollableInterface` `createInterface(int nodeId, java.net.InetAddress addr)`
`protected java.lang.Object` `createMemberKey(PollableElement member)`
`PollableNode` `createNode(int nodeId)`
`PollableService` `createService(int nodeId, java.net.InetAddress addr, java.lang.String svcName)`
`Event` `createUpEvent(java.util.Date date)`
`void` `delete()`
`void` `dump()`
`PollContext` `getContext()`
`PollableInterface` `getInterface(int nodeId, java.net.InetAddress addr)`
`PollableElement` `getLockRoot()`
`PollableNode` `getNode(int nodeId)`
`int` `getNodeCount()`
`PollableService` `getService(int nodeId, java.net.InetAddress addr, java.lang.String svcName)`
`void` `obtainTreeLock(long timeout)`
`PollStatus` `poll(PollableElement elem)`
`PollStatus` `pollRemainingMembers(PollableElement member)`
`void` `processStatusChange(java.util.Date date)`
`void` `recalculateStatus()`
`void` `releaseTreeLock()`
`void` `resetStatusChanged()`
`protected void` `visitThis(PollableVisitor v)`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
`addMember, deleteMember, findMemberWithDescendent, forEachMember, getMember, getMemberCount, getMembers, getMemberStatus, poll, processCause, processMemberStatusChanges, processResolution, removeMember, resolveAllOutages, selectPollElement, visit, visitMembers`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableElement
`createOutage, doPoll, getCause, getParent, getStatus, hasOpenOutage, isDeleted, isStatusChanged, isTreeLockAvailable, processComingUp, processGoingDown, processLingeringCauses, resolveOutage, setCause, setParent, updateStatus, withTreeLock, withTreeLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_context

    private PollContext m_context

Constructor Detail

### PollableNetwork

    public PollableNetwork(PollContext context)

Method Detail

### getContext

    public PollContext getContext()

  Specified by:
    `getContext` in class `PollableElement`

### createNode

    public PollableNode createNode(int nodeId)

### getNode

    public PollableNode getNode(int nodeId)

### getNodeCount

    public int getNodeCount()

### createInterface

    public PollableInterface createInterface(int nodeId,
                                             java.net.InetAddress addr)

### getInterface

    public PollableInterface getInterface(int nodeId,
                                          java.net.InetAddress addr)

### createService

    public PollableService createService(int nodeId,
                                         java.net.InetAddress addr,
                                         java.lang.String svcName)

### getService

    public PollableService getService(int nodeId,
                                      java.net.InetAddress addr,
                                      java.lang.String svcName)

### createMemberKey

    protected java.lang.Object createMemberKey(PollableElement member)

  Specified by:
    `createMemberKey` in class `PollableContainer`
  Parameters:
    `member` -
  Returns:

### visitThis

    protected void visitThis(PollableVisitor v)

  Overrides:
    `visitThis` in class `PollableContainer`

### pollRemainingMembers

    public PollStatus pollRemainingMembers(PollableElement member)

  Overrides:
    `pollRemainingMembers` in class `PollableContainer`
  Parameters:
    `member` -
  Returns:

### createDownEvent

    public Event createDownEvent(java.util.Date date)

  Specified by:
    `createDownEvent` in class `PollableElement`
  Parameters:
    `date` -
  Returns:

### createUpEvent

    public Event createUpEvent(java.util.Date date)

  Specified by:
    `createUpEvent` in class `PollableElement`
  Parameters:
    `date` -
  Returns:

### dump

    public void dump()

### delete

    public void delete()

  Overrides:
    `delete` in class `PollableContainer`

### poll

    public PollStatus poll(PollableElement elem)

  Overrides:
    `poll` in class `PollableContainer`

### processStatusChange

    public void processStatusChange(java.util.Date date)

  Overrides:
    `processStatusChange` in class `PollableContainer`

### recalculateStatus

    public void recalculateStatus()

  Overrides:
    `recalculateStatus` in class `PollableContainer`

### resetStatusChanged

    public void resetStatusChanged()

  Overrides:
    `resetStatusChanged` in class `PollableContainer`

### getLockRoot

    public PollableElement getLockRoot()

  Overrides:
    `getLockRoot` in class `PollableElement`

### obtainTreeLock

    public void obtainTreeLock(long timeout)

  Overrides:
    `obtainTreeLock` in class `PollableElement`

### releaseTreeLock

    public void releaseTreeLock()

  Overrides:
    `releaseTreeLock` in class `PollableElement`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.